# <img align="top" src="https://github.com/ReactionMechanismGenerator/ReactionMechanismSimulator.jl/blob/master/logos/rms-logo-small.png"> RMS - Reaction Mechanism Simulator

[![Build status](https://img.shields.io/travis/ReactionMechanismGenerator/ReactionMechanismSimulator.jl/master.svg)](https://travis-ci.org/ReactionMechanismGenerator/ReactionMechanismSimulator.jl)
[![codecov](https://codecov.io/gh/ReactionMechanismGenerator/ReactionMechanismSimulator.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/ReactionMechanismGenerator/ReactionMechanismSimulator.jl)

## Description
RMS is a Julia package designed for simulating and analyzing large chemical reaction mechanisms.  

## Features
Ideal gas and dilute liquid phases.  
Constant T and P and constant V adiabatic ideal gas reactors.  
Constant T and V dilute liquid reactors.  
Diffusion limited rates.
Sensitivity analysis for all reactors.  
Flux diagrams with molecular images (if molecular information is provided).  
Handy plotting and other solution analysis tools.  
Easy to add new features.  

## Installation

RMS can be installed with:
```
using Pkg
Pkg.add("ReactionMechanismSimulator")
Pkg.build("ReactionMechanismSimulator")

using ReactionMechanismSimulator
```

Detailed instructions and documentation are currently available in the <a href="https://github.com/ReactionMechanismGenerator/ReactionMechanismSimulator.jl/wiki">wiki</a>.
